diff --git a/src/main/java/net/minecraft/core/net/command/commands/AchievementCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandAchievement.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/commands/AchievementCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandAchievement.java
index cabed5bcb..2da4734d6 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/AchievementCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandAchievement.java
@@ -12,22 +12,22 @@ import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.AchievementArgumentType;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeAchievement;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class AchievementCommand {
+public class CommandAchievement {
     private static final SimpleCommandExceptionType PLAYER_ALREADY_HAS_ACHIEVEMENT = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.achievement.grant.exception_already_has_achievement"));
 
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(((LiteralArgumentBuilder.<CommandSource>literal("achievement"))
             .requires(CommandSource::hasAdmin)
             .then((LiteralArgumentBuilder.<CommandSource>literal("grant"))
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", EntityArgumentType.players())
-                    .then(RequiredArgumentBuilder.<CommandSource, Achievement>argument("achievement", AchievementArgumentType.achievement())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.players())
+                    .then(RequiredArgumentBuilder.<CommandSource, Achievement>argument("achievement", ArgumentTypeAchievement.achievement())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             List<? extends Entity> entities = c.getArgument("entities", EntitySelector.class).get(source);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/BiomeCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandBiome.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/command/commands/BiomeCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandBiome.java
index 827916db2..1d4f726ad 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/BiomeCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandBiome.java
@@ -10,19 +10,19 @@ import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.BiomeArgumentType;
-import net.minecraft.core.net.command.arguments.IntegerCoordinatesArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeBiome;
+import net.minecraft.core.net.command.arguments.ArgumentTypeIntegerCoordinates;
 import net.minecraft.core.net.command.helpers.Coordinates2D;
 import net.minecraft.core.net.command.helpers.IntegerCoordinates;
 
-public class BiomeCommand {
+public class CommandBiome {
     private static final DynamicCommandExceptionType FAILURE = new DynamicCommandExceptionType(arg -> () -> I18n.getInstance().translateKeyAndFormat("command.commands.biome.locate.exception_failure", arg));
 
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("biome")
                 .requires(CommandSource::hasAdmin)
                 .then(LiteralArgumentBuilder.<CommandSource>literal("get")
-                        .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", IntegerCoordinatesArgumentType.intCoordinates())
+                        .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", ArgumentTypeIntegerCoordinates.intCoordinates())
                                 .executes(c -> {
                                     IntegerCoordinates position = c.getArgument("position", IntegerCoordinates.class);
                                     Biome biome = c.getSource().getWorld().getBlockBiome(position.getX(c.getSource()), position.getY(c.getSource(), true), position.getZ(c.getSource()));
@@ -30,7 +30,7 @@ public class BiomeCommand {
                                     return Command.SINGLE_SUCCESS;
                                 })))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("locate")
-                        .then(RequiredArgumentBuilder.<CommandSource, Biome>argument("biome", BiomeArgumentType.biome())
+                        .then(RequiredArgumentBuilder.<CommandSource, Biome>argument("biome", ArgumentTypeBiome.biome())
                                 .executes(c -> {
                                     Biome biome = c.getArgument("biome", Biome.class);
                                     Coordinates2D biomeLocation = getBiomeCoords(biome, c.getSource());
diff --git a/src/main/java/net/minecraft/core/net/command/commands/ChunkCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandChunk.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/command/commands/ChunkCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandChunk.java
index dddb37b1a..ba6971aef 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/ChunkCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandChunk.java
@@ -5,17 +5,17 @@ import com.mojang.brigadier.CommandDispatcher;
 import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.ChunkCoordinatesArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeChunkCoordinates;
 import net.minecraft.core.net.command.helpers.Coordinates2D;
 import net.minecraft.core.world.LevelListener;
 import net.minecraft.core.world.World;
 
-public class ChunkCommand {
+public class CommandChunk {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("chunk")
             .requires(CommandSource::hasAdmin)
             .then(LiteralArgumentBuilder.<CommandSource>literal("reset")
-                .then(RequiredArgumentBuilder.<CommandSource, Coordinates2D>argument("position", ChunkCoordinatesArgumentType.chunkCoordinates())
+                .then(RequiredArgumentBuilder.<CommandSource, Coordinates2D>argument("position", ArgumentTypeChunkCoordinates.chunkCoordinates())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         Coordinates2D coordinates2D = c.getArgument("position", Coordinates2D.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/ClearCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandClear.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/command/commands/ClearCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandClear.java
index 2d8738511..8c22343ce 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/ClearCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandClear.java
@@ -12,8 +12,8 @@ import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
-import net.minecraft.core.net.command.arguments.ItemStackArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
+import net.minecraft.core.net.command.arguments.ArgumentTypeItemStack;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import org.jetbrains.annotations.Nullable;
@@ -23,7 +23,7 @@ import java.util.Collections;
 import java.util.List;
 import java.util.Map;
 
-public class ClearCommand {
+public class CommandClear {
     private static final Logger LOGGER = LogUtils.getLogger();
 
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.clear.exception_failure"));
@@ -44,7 +44,7 @@ public class ClearCommand {
 
                 return Command.SINGLE_SUCCESS;
             })
-            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("players", EntityArgumentType.players())
+            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("players", ArgumentTypeEntity.players())
                 .executes(c -> {
                     CommandSource source = c.getSource();
                     List<? extends Entity> players = c.getArgument("players", EntitySelector.class).get(source);
@@ -60,7 +60,7 @@ public class ClearCommand {
 
                     return Command.SINGLE_SUCCESS;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, ItemStack>argument("item", ItemStackArgumentType.itemStack())
+                .then(RequiredArgumentBuilder.<CommandSource, ItemStack>argument("item", ArgumentTypeItemStack.itemStack())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         List<? extends Entity> players = c.getArgument("players", EntitySelector.class).get(source);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/CloneCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/command/commands/CloneCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
index 1ca536007..8c3138a4e 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/CloneCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
@@ -8,7 +8,7 @@ import com.mojang.brigadier.context.CommandContext;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import com.mojang.nbt.CompoundTag;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.util.phys.AABB;
@@ -16,9 +16,9 @@ import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.Dimension;
 import net.minecraft.core.world.World;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.BlockArgumentType;
-import net.minecraft.core.net.command.arguments.DimensionArgumentType;
-import net.minecraft.core.net.command.arguments.IntegerCoordinatesArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeBlock;
+import net.minecraft.core.net.command.arguments.ArgumentTypeDimension;
+import net.minecraft.core.net.command.arguments.ArgumentTypeIntegerCoordinates;
 import net.minecraft.core.net.command.helpers.BlockInput;
 import net.minecraft.core.net.command.helpers.ClonedBlock;
 import net.minecraft.core.net.command.helpers.IntegerCoordinate;
@@ -28,7 +28,7 @@ import org.jetbrains.annotations.Nullable;
 import java.util.HashMap;
 import java.util.Map;
 
-public class CloneCommand {
+public class CommandClone {
     private static final SimpleCommandExceptionType INSIDE_CLONED_AREA = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.clone.exception_inside_cloned_area"));
     private static final SimpleCommandExceptionType DESTINATION_NOT_LOADED = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.clone.exception_destination_not_loaded"));
     private static final SimpleCommandExceptionType SOURCE_NOT_LOADED = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.clone.exception_source_not_loaded"));
@@ -41,20 +41,20 @@ public class CloneCommand {
                     return c.getSource().getWorld();
                 }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("from")
-                        .then((RequiredArgumentBuilder.<CommandSource, Dimension>argument("sourceDimension", DimensionArgumentType.dimension()))
+                        .then((RequiredArgumentBuilder.<CommandSource, Dimension>argument("sourceDimension", ArgumentTypeDimension.dimension()))
                                 .then(beginEndDestinationAndModeSuffix(c -> {
                                     return c.getSource().getWorld(c.getArgument("sourceDimension", Dimension.class).id);
                                 })))));
     }
 
     private static ArgumentBuilder<CommandSource, ?> beginEndDestinationAndModeSuffix(CommandFunction<CommandContext<CommandSource>, World> commandFunction) {
-        return RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("begin", IntegerCoordinatesArgumentType.intCoordinates())
-                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("end", IntegerCoordinatesArgumentType.intCoordinates())
+        return RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("begin", ArgumentTypeIntegerCoordinates.intCoordinates())
+                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("end", ArgumentTypeIntegerCoordinates.intCoordinates())
                         .then(destinationAndModeSuffix(commandFunction, c -> {
                             return c.getSource().getWorld();
                         }))
                         .then(LiteralArgumentBuilder.<CommandSource>literal("to")
-                                .then((RequiredArgumentBuilder.<CommandSource, Dimension>argument("targetDimension", DimensionArgumentType.dimension()))
+                                .then((RequiredArgumentBuilder.<CommandSource, Dimension>argument("targetDimension", ArgumentTypeDimension.dimension()))
                                         .then(destinationAndModeSuffix(commandFunction, c -> {
                                             return c.getSource().getWorld(c.getArgument("targetDimension", Dimension.class).id);
                                         })))));
@@ -69,7 +69,7 @@ public class CloneCommand {
         CommandFunction<CommandContext<CommandSource>, WorldAndPosition> commandFunction3 = c -> getWorldAndPosition(c, commandFunction.apply(c), "begin");
         CommandFunction<CommandContext<CommandSource>, WorldAndPosition> commandFunction4 = c -> getWorldAndPosition(c, commandFunction.apply(c), "end");
         CommandFunction<CommandContext<CommandSource>, WorldAndPosition> commandFunction5 = c -> getWorldAndPosition(c, commandFunction2.apply(c), "destination");
-        return RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("destination", IntegerCoordinatesArgumentType.intCoordinates())
+        return RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("destination", ArgumentTypeIntegerCoordinates.intCoordinates())
                 .executes(c -> {
                     return clone(c.getSource(), commandFunction3.apply(c), commandFunction4.apply(c), commandFunction5.apply(c), null, CloneMode.NORMAL);
                 })
@@ -84,7 +84,7 @@ public class CloneCommand {
                 .then(LiteralArgumentBuilder.<CommandSource>literal("filtered")
                         .then(wrapWithCloneMode(commandFunction3, commandFunction4, commandFunction5, c -> {
                             return c.getArgument("filter", BlockInput.class);
-                            }, RequiredArgumentBuilder.<CommandSource, BlockInput>argument("filter", BlockArgumentType.block())
+                            }, RequiredArgumentBuilder.<CommandSource, BlockInput>argument("filter", ArgumentTypeBlock.block())
                                 .executes(c -> {
                                     return clone(c.getSource(), commandFunction3.apply(c), commandFunction4.apply(c), commandFunction5.apply(c), c.getArgument("filter", BlockInput.class), CloneMode.NORMAL);
                                 }))));
@@ -170,8 +170,8 @@ public class CloneCommand {
             int offsetDestinationY = destinationY + entry.getKey().getY(source, true);
             int offsetDestinationZ = destinationZ + entry.getKey().getZ(source);
             CompoundTag blockTag = new CompoundTag();
-            BlockEntity blockEntity = destination.getWorld().getBlockEntity(offsetDestinationX, offsetDestinationY, offsetDestinationZ);
-            if (blockEntity != null) blockEntity.writeToNBT(blockTag);
+            TileEntity tileEntity = destination.getWorld().getBlockEntity(offsetDestinationX, offsetDestinationY, offsetDestinationZ);
+            if (tileEntity != null) tileEntity.writeToNBT(blockTag);
             if (filter == null || (destination.getWorld().getBlockId(offsetDestinationX, offsetDestinationY, offsetDestinationZ) == filter.getBlockId() && destination.getWorld().getBlockMetadata(offsetDestinationX, offsetDestinationY, offsetDestinationZ) == filter.getMetadata() && (filter.getTag().getValues().isEmpty() || CommandHelper.blockEntitiesAreEqual(blockTag, filter.getTag())))) {
                 if (destination.getWorld().getBlockId(offsetDestinationX, offsetDestinationY, offsetDestinationZ) != entry.getValue().getBlockId() || destination.getWorld().getBlockMetadata(offsetDestinationX, offsetDestinationY, offsetDestinationZ) != entry.getValue().getMetadata()) ++clonedBlocks;
                 destination.getWorld().setBlockWithNotify(offsetDestinationX, offsetDestinationY, offsetDestinationZ, entry.getValue().getBlockId());
diff --git a/src/main/java/net/minecraft/core/net/command/commands/DamageCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandDamage.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/command/commands/DamageCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandDamage.java
index f1cad1e5b..2c0c70802 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/DamageCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandDamage.java
@@ -7,18 +7,18 @@ import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.DamageTypeArgumentType;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeDamageType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 
 import java.util.List;
 
-public class DamageCommand {
+public class CommandDamage {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("damage")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", EntityArgumentType.entities())
-                        .then(RequiredArgumentBuilder.<CommandSource, DamageType>argument("type", DamageTypeArgumentType.damageType())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
+                        .then(RequiredArgumentBuilder.<CommandSource, DamageType>argument("type", ArgumentTypeDamageType.damageType())
                                 .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("amount", IntegerArgumentType.integer(0, 32768))
                                         .executes(c -> {
                                             List<? extends Entity> entities = c.getArgument("entities", EntitySelector.class).get(c.getSource());
diff --git a/src/main/java/net/minecraft/core/net/command/commands/FillCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/command/commands/FillCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
index 20805ea11..c61e6c494 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/FillCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
@@ -5,11 +5,11 @@ import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.nbt.CompoundTag;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.BlockArgumentType;
-import net.minecraft.core.net.command.arguments.IntegerCoordinatesArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeBlock;
+import net.minecraft.core.net.command.arguments.ArgumentTypeIntegerCoordinates;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.BlockInput;
 import net.minecraft.core.net.command.helpers.IntegerCoordinates;
@@ -17,13 +17,13 @@ import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-public class FillCommand {
+public class CommandFill {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("fill")
             .requires(CommandSource::hasAdmin)
-            .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("first", IntegerCoordinatesArgumentType.intCoordinates())
-                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("second", IntegerCoordinatesArgumentType.intCoordinates())
-                    .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("block", BlockArgumentType.block())
+            .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("first", ArgumentTypeIntegerCoordinates.intCoordinates())
+                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("second", ArgumentTypeIntegerCoordinates.intCoordinates())
+                    .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("block", ArgumentTypeBlock.block())
                         .executes(c -> {
                             IntegerCoordinates first = c.getArgument("first", IntegerCoordinates.class);
                             IntegerCoordinates second = c.getArgument("second", IntegerCoordinates.class);
@@ -45,7 +45,7 @@ public class FillCommand {
                                 c.getSource().sendTranslatableMessage(blocksFilled == 1 ? "command.commands.fill.success_single" : "command.commands.fill.success_multiple", blocksFilled);
                                 return blocksFilled;
                             })
-                            .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("filter", BlockArgumentType.block())
+                            .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("filter", ArgumentTypeBlock.block())
                                 .executes(c -> {
                                     IntegerCoordinates first = c.getArgument("first", IntegerCoordinates.class);
                                     IntegerCoordinates second = c.getArgument("second", IntegerCoordinates.class);
@@ -125,8 +125,8 @@ public class FillCommand {
             for (int y = minY; y <= maxY; y++) {
                 for (int z = minZ; z <= maxZ; z++) {
                     CompoundTag blockTag = new CompoundTag();
-                    BlockEntity blockEntity = world.getBlockEntity(x, y, z);
-                    if (blockEntity != null) blockEntity.writeToNBT(blockTag);
+                    TileEntity tileEntity = world.getBlockEntity(x, y, z);
+                    if (tileEntity != null) tileEntity.writeToNBT(blockTag);
                     if ((block.getBlockId() != world.getBlockId(x, y, z) || block.getMetadata() != world.getBlockMetadata(x, y, z) || !CommandHelper.blockEntitiesAreEqual(block.getTag(), CommandHelper.tagFrom(world.getBlockEntity(x, y, z)))) && (filter == null || (world.getBlockId(x, y, z) == filter.getBlockId() && world.getBlockMetadata(x, y, z) == filter.getMetadata() && (filter.getTag().getValues().isEmpty() || CommandHelper.blockEntitiesAreEqual(blockTag, filter.getTag()))))) {
                         ++blocksFilled;
                         if (destroy && world.getBlock(x, y, z) != null)
diff --git a/src/main/java/net/minecraft/core/net/command/commands/GameModeCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandGameMode.java
similarity index 91%
rename from src/main/java/net/minecraft/core/net/command/commands/GameModeCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandGameMode.java
index fbf3b7865..5a2aae16d 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/GameModeCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandGameMode.java
@@ -8,8 +8,8 @@ import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
-import net.minecraft.core.net.command.arguments.GameModeArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
+import net.minecraft.core.net.command.arguments.ArgumentTypeGameMode;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import net.minecraft.core.net.command.util.CommandHelper;
@@ -17,11 +17,11 @@ import net.minecraft.core.player.gamemode.Gamemode;
 
 import java.util.List;
 
-public class GameModeCommand {
+public class CommandGameMode {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("gamemode")
             .requires(CommandSource::hasAdmin)
-            .then(RequiredArgumentBuilder.<CommandSource, Gamemode>argument("gamemode", GameModeArgumentType.gameMode())
+            .then(RequiredArgumentBuilder.<CommandSource, Gamemode>argument("gamemode", ArgumentTypeGameMode.gameMode())
                 .executes(c -> {
                     CommandSource source = c.getSource();
                     Gamemode gameMode = c.getArgument("gamemode", Gamemode.class);
@@ -34,7 +34,7 @@ public class GameModeCommand {
                     source.sendTranslatableMessage("command.commands.gamemode.success_self", I18n.getInstance().translateKey(gameMode.getLanguageKey() + ".name"));
                     return Command.SINGLE_SUCCESS;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("targets", EntityArgumentType.players())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("targets", ArgumentTypeEntity.players())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         Gamemode gameMode = c.getArgument("gamemode", Gamemode.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/GameRuleCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/commands/GameRuleCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
index 3805858a9..f396d100d 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/GameRuleCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
@@ -10,11 +10,11 @@ import net.minecraft.core.data.gamerule.GameRule;
 import net.minecraft.core.data.gamerule.GameRuleBoolean;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.GenericGameRuleArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeGameruleGeneric;
 import net.minecraft.core.net.packet.GameRulePacket;
 import net.minecraft.server.net.command.ServerCommandSource;
 
-public class GameRuleCommand {
+public class CommandGameRule {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         final LiteralArgumentBuilder<CommandSource> argumentBuilder = LiteralArgumentBuilder.<CommandSource>literal("gamerule").requires(CommandSource::hasAdmin);
         for (final GameRule<?> gameRule : Registries.GAME_RULES) {
@@ -30,7 +30,7 @@ public class GameRuleCommand {
                             return Command.SINGLE_SUCCESS;
                         });
             } else {
-                gameRuleValueArgument = RequiredArgumentBuilder.<CommandSource, Object>argument("value", GenericGameRuleArgumentType.gameRule(gameRule))
+                gameRuleValueArgument = RequiredArgumentBuilder.<CommandSource, Object>argument("value", ArgumentTypeGameruleGeneric.gameRule(gameRule))
                         .executes(c -> {
                             Object o = c.getArgument("value", Object.class);
                             c.getSource().getWorld().getLevelData().getGameRules().setValue((GameRule<? super Object>) gameRule, o);
